<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('response_templates', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable();
            $table->string('write_to')->nullable();
            $table->text('reason')->nullable();
            $table->text('stage_of_booking')->nullable();
            $table->text('type')->nullable();
            $table->text('subject')->nullable();
            $table->text('content')->nullable();
            $table->text('notes')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('response_templates');
    }
};
